com.zipcodewilmington.streams.anthropoid

## Class PersonFactory

- java.lang.Object
- - com.zipcodewilmington.streams.anthropoid.PersonFactory

-     public final class PersonFactory
      extends java.lang.Object

  Created by leon on 5/1/17.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Person[]` | `createPersonArray(int personCount)`
    `static java.util.List<Person>` | `createPersonList(int personCount)`
    `static java.util.stream.Stream<Person>` | `createPersonStream(int personCount)`
    `static Person` | `createRandomPerson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createRandomPerson

          public static Person createRandomPerson()

      Returns:
        a new instance of a person with fields of random values

    - #### createPersonList

          public static java.util.List<Person> createPersonList(int personCount)

      Parameters:
        `personCount` - - number of Person objects to create
      Returns:
        - ArrayList of Person objects

    - #### createPersonArray

          public static Person[] createPersonArray(int personCount)

      Parameters:
        `personCount` - - number of Person objects to create
      Returns:
        - Array of Person objects

    - #### createPersonStream

          public static java.util.stream.Stream<Person> createPersonStream(int personCount)

      Parameters:
        `personCount` - - number of Person objects to create
      Returns:
        - Stream representation of collection of Person objects